/**
 * 创建base-64 编码的字符串。
 * 先JSON 序列号，然后作为URI 组件进行编码，最后转换成base-64
 * @param str
 */
export function toBase64(str: string): string {
    return btoa(encodeURIComponent(JSON.stringify(str)));
}

/**
 * 解析base-64 编码的字符串。
 * 先解析base64，然后作为URI 进行解码，最后解析JSON
 * @param str
 */
export function parseBase64(str: string): string {
    return JSON.parse(decodeURIComponent(atob(str)));
}

/**
 * base64编码
 * @param str
 */
export function toBase64String(str: string): string {
    return btoa(str)
}